# Animation

## Methods

#### # (inner) animate(?properties, ?duration, ?callback, ?easing) → {jLight}

Animates the given properties to the given values on the collections elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`properties` | Object.<string, string> | <optional> | The css properties and values to animate
`duration` | number | <optional> | The duration for the animation in ms (default: 300)
`callback` | function | <optional> | The function to run after the animation is complete (default: noop)
`easing` | string | <optional> | Which type of css easing to use for the animation (default: 'ease')

Source:
  - index.js, line 3407
Tutorials:
  - animate

Returns:
jLight collection

Type
  jLight

#### # (inner) fadeIn(?duration, ?callback, ?type, ?easing) → {jLight}

Fades the collections elements in.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`duration` | number | <optional> | The duration for the animation in ms (default: 300)
`callback` | function | <optional> | The function to run after the animation is complete (default: noop)
`type` | string | <optional> | The css display type to apply to the collections elements (default: 'block')
`easing` | string | <optional> | Which type of css easing to use for the animation (default: 'ease')

Source:
  - index.js, line 3556
Tutorials:
  - fadeIn

Returns:
jLight collection

Type
  jLight

#### # (inner) fadeOut(?duration, ?callback, ?easing) → {jLight}

Fades the collections elements out.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`duration` | number | <optional> | The duration for the animation in ms (default: 300)
`callback` | function | <optional> | The function to run after the animation is complete (default: noop)
`easing` | string | <optional> | Which type of css easing to use for the animation (default: 'ease')

Source:
  - index.js, line 3583
Tutorials:
  - fadeOut

Returns:
jLight collection

Type
  jLight

#### # (inner) fadeToggle(?duration, ?callback, ?type, ?easing) → {jLight}

Toggles the display state of the collections elements by fading.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`duration` | number | <optional> | The duration for the animation in ms (default: 300)
`callback` | function | <optional> | The function to run after the animation is complete (default: noop)
`type` | string | <optional> | The css display type to apply to the collections elements (default: 'block')
`easing` | string | <optional> | Which type of css easing to use for the animation (default: 'ease')

Source:
  - index.js, line 3614
Tutorials:
  - fadeToggle

Returns:
jLight collection

Type
  jLight

#### # (inner) scrollTo($elements, ?duration, ?offset, ?callback) → {jLight}

Scrolls the collections elements to elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`$elements` | jLight | string | HTMLElement | HTMLCollection | NodeList |  | The elements to scroll the collections elements to
`duration` | number | <optional> | The duration of the scroll animation in ms (default: 300)
`offset` | Object | Object | <optional> | The offset for the target position
`callback` | function | <optional> | The function to run after the scrolling is complete

Source:
  - index.js, line 3471
Tutorials:
  - scrollTo

Returns:
jLight collection

Type
  jLight

#### # (inner) slideDown(?duration, ?callback, ?height, ?type, ?easing) → {jLight}

Slides the collections elements down.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`duration` | number | <optional> | The duration for the animation in ms (default: 300)
`callback` | function | <optional> | The function to run after the animation is complete (default: noop)
`height` | string | <optional> | The css height value to end the sliding animation (default: 'auto')
`type` | string | <optional> | The css display type to apply to the collections elements (default: 'block')
`easing` | string | <optional> | Which type of css easing to use for the animation (default: 'ease')

Source:
  - index.js, line 3643
Tutorials:
  - slideDown

Returns:
jLight collection

Type
  jLight

#### # (inner) slideToggle(?duration, ?callback, ?height, ?type, ?easing, ?force) → {jLight}

Toggles the display state of the collections elements by sliding.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`duration` | number | <optional> | The duration for the animation in ms (default: 300)
`callback` | function | <optional> | The function to run after the animation is complete (default: noop)
`height` | string | <optional> | The css height value to end the sliding animation (default: 'auto')
`type` | string | <optional> | The css display type to apply to the collections elements (default: 'block')
`easing` | string | <optional> | Which type of css easing to use for the animation (default: 'ease')
`force` | boolean | <optional> | Force whether to slide down or up

Source:
  - index.js, line 3742
Tutorials:
  - slideToggle

Returns:
jLight collection

Type
  jLight

#### # (inner) slideUp(?duration, ?callback, ?easing) → {jLight}

Slides the collections elements up.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`duration` | number | <optional> | The duration for the animation in ms (default: 300)
`callback` | function | <optional> | The function to run after the animation is complete (default: noop)
`easing` | string | <optional> | Which type of css easing to use for the animation (default: 'ease')

Source:
  - index.js, line 3696
Tutorials:
  - slideUp

Returns:
jLight collection

Type
  jLight

#### # (inner) stop() → {jLight}

Stops all running animations on the collections elements.

Source:
  - index.js, line 3516
Tutorials:
  - stop

Returns:
jLight collection

Type
  jLight